/****************************************************************************\
*                                                                            *
*  FGIMAGE.H                                                                 *
*                                                                            *
*  This file contains the C and C++ function prototypes for Fastgraph/Image  *
*  5.0 for DOS.                                                              *
*                                                                            *
*  Copyright (c) 1992-1999 Ted Gruber Software.  All rights reserved.        *
*                                                                            *
\****************************************************************************/

#ifndef __FGIMAGE_H

#define __FGIMAGE_H
#define FGI_CDECL

#ifdef __HIGHC__           /* MetaWare High C/C++ */
#pragma Global_aliasing_convention("_%r")
#endif

#ifdef __WATCOMC__         /* WATCOM C/C++ (16-bit and 32-bit versions) */
#undef  FGI_CDECL
#define FGI_CDECL __cdecl
#endif

#ifdef __cplusplus
extern "C" {
#endif

int  FGI_CDECL fgi_bmphead (char *, void *, int);
int  FGI_CDECL fgi_bmppal (char *, void *, int);
void FGI_CDECL fgi_close (int);
int  FGI_CDECL fgi_display (char *, int, int);
long FGI_CDECL fgi_filesize (char *, int);
int  FGI_CDECL fgi_flichead (char *, void *, int);
int  FGI_CDECL fgi_flicopen (char *, void *, int);
int  FGI_CDECL fgi_flicskip (void *, int);
int  FGI_CDECL fgi_jpeghead (char *, void *, int);
int  FGI_CDECL fgi_loadpcx (char *, int, int);
int  FGI_CDECL fgi_open (char *);
int  FGI_CDECL fgi_pcxhead (char *, void *, int);
int  FGI_CDECL fgi_pcxpal (char *, void *, int);
int  FGI_CDECL fgi_read (char *, void *, int);
int  FGI_CDECL fgi_readnext (char *, unsigned int, int);
int  FGI_CDECL fgi_seek (char *, int);
int  FGI_CDECL fgi_showbmp (char *, int, int);
int  FGI_CDECL fgi_showflic (char *, int, int, int);
int  FGI_CDECL fgi_showjpeg (char *, int, int);
int  FGI_CDECL fgi_showpcx (char *, int, int);
int  FGI_CDECL fgi_showppr (char *, int);
int  FGI_CDECL fgi_showspr (char *, int);
void FGI_CDECL fgi_version (int *, int *);

#ifdef __HIGHC__           /* MetaWare High C/C++ */
#pragma Global_aliasing_convention()
#endif

#ifdef __cplusplus
}
#endif

#endif                     /* of #ifndef __FGIMAGE_H */
